## ocaml-rope 0.6

=== Makefile ===
PKGVERSION = $(shell git describe --always --dirty)

WEB = rope.forge.ocamlcore.org:/home/groups/rope/htdocs
SRC_WEB	= web

all build:
	jbuilder build @install --dev
	jbuilder build bench/bm_ropes.exe bench/bench_rope.exe

test runtest:
# Force the tests to be run
	$(RM) -rf _build/default/tests/
	jbuilder runtest

install uninstall:
	jbuilder $@

doc:
	jbuilder build @doc

# Benchmarks
bench:
	jbuilder build @bench \
	  && cd _build/default/bench/ && gnuplot -persist bm_ropes.plot
	@echo "Bench results: SGV in _build/default/bench/"

# Release a Sourceforge tarball and publish the HTML doc
.PHONY: web upload
web-doc: doc
	@ if [ -d API.docdir/ ] ; then \
	  scp -r API.docdir/ $(WEB)/ \
	  && echo "*** Published documentation" ; \
	fi
web:
	@ if [ -d $(SRC_WEB)/ ] ; then \
	  scp $(addprefix $(SRC_WEB)/, *.html *.css *.png) LICENSE $(WEB) \
	  && echo "*** Published web site ($(SRC_WEB)/)" ; \
	fi

clean::
	jbuilder clean
	$(RM) $(wildcard bench/*.dat)

.PHONY: all build test runtest doc bench clean

=== debian/changelog ===
ocaml-rope (0.6-1) unstable; urgency=low

  * Initial release. (Closes: #881136)

 -- Andy Li <andy@onthewings.net>  Mon, 20 Nov 2017 09:49:39 +0800

=== debian/control ===
Source: ocaml-rope
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Andy Li <andy@onthewings.net>
Standards-Version: 4.1.1
Build-Depends:
 debhelper (>= 9),
 dh-ocaml,
 ocaml-nox,
 jbuilder,
 opam,
 ocaml-findlib,
 libbenchmark-ocaml-dev,
 oasis
Homepage: http://rope.forge.ocamlcore.org/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-rope.git
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-rope.git

Package: librope-ocaml
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: ropes ("heavyweight strings") for OCaml (Runtime library)
 Ropes are a scalable string implementation: they are designed for efficient
 operation that involve the string as a whole such as concatenation and
 substring. This library implements ropes for OCaml. It is rich enough to
 replace strings.

Package: librope-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: ropes ("heavyweight strings") for OCaml (Development package)
 Ropes are a scalable string implementation: they are designed for efficient
 operation that involve the string as a whole such as concatenation and
 substring. This library implements ropes for OCaml. It is rich enough to
 replace strings.
 .
 This package contains the files that are necessary to compile OCaml code
 that uses the rope library.

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	jbuilder build @install

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	jbuilder install --destdir=$(DESTDIR) --libdir=$(OCAMLFIND_DESTDIR) --verbose

override_dh_missing:
	dh_missing --fail-missing -X doc

=== debian/watch ===
version=3
https://github.com/Chris00/ocaml-rope/releases .*/archive/(\d\S*)\.tar\.gz

## ocaml-rope 0.6.1

=== debian/changelog ===
ocaml-rope (0.6.1-2) unstable; urgency=medium

  * Update d/rules for new version of dune. (Closes: #917731)
  * Bump Standards-Version to 4.3.0 (no changes).

 -- Andy Li <andy@onthewings.net>  Sun, 30 Dec 2018 23:26:14 +0800

ocaml-rope (0.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (2017-12-25)
    Closes: #898734

  * Update debian/watch
  * debian/control: Update Vcs-* and Homepage URLs
  * debian/rules: Put dh_missing list in not-installed
  * Switch to debhelper 11
  * Declare compliance with policy v4.1.4.
    No change required.

 -- Nicolas Braud-Santoni <nicolas@braud-santoni.eu>  Tue, 15 May 2018 17:28:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.1.1
+Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-ocaml,
  ocaml-nox,
- jbuilder,
+ dune,
  opam,
  ocaml-findlib,
  libbenchmark-ocaml-dev,
  oasis
-Homepage: http://rope.forge.ocamlcore.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-rope.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-rope.git
+Homepage: https://chris00.github.io/ocaml-rope/doc/rope/Rope/
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-rope
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-rope.git
 
 Package: librope-ocaml
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

override_dh_auto_configure:

override_dh_auto_build:
	dune build @install --verbose

override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	dune install --destdir=$(DESTDIR) --verbose

override_dh_missing:
	dh_missing --fail-missing

## ocaml-rope 0.6.2

=== Makefile ===
PKGVERSION = $(shell git describe --always --dirty)

all build:
	dune build @install bench/bm_ropes.exe bench/bench_rope.exe

test runtest:
	dune runtest --force

install uninstall:
	dune $@

doc:
	dune build @doc
	sed -e "s/0.6.2/$(PKGVERSION)/" --in-place \
	  _build/default/_doc/_html/rope/Rope/index.html

# Benchmarks
bench:
	dune build @bench \
	  && cd _build/default/bench/ && gnuplot -persist bm_ropes.plot
	@echo "Bench results: SGV in _build/default/bench/"

web:
	@ if [ -d $(SRC_WEB)/ ] ; then \
	  scp $(addprefix $(SRC_WEB)/, *.html *.css *.png) LICENSE $(WEB) \
	  && echo "*** Published web site ($(SRC_WEB)/)" ; \
	fi

clean::
	dune clean
	$(RM) $(wildcard bench/*.dat)

.PHONY: all build test runtest doc bench clean

=== debian/changelog ===
ocaml-rope (0.6.2-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:31:26 +0000

ocaml-rope (0.6.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes).
  * Update build command and install files for the latest dune.

 -- Andy Li <andy@onthewings.net>  Sun, 10 Nov 2019 11:17:14 +0800

ocaml-rope (0.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Andy Li <andy@onthewings.net>  Wed, 20 Mar 2019 17:40:27 +0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ocaml-rope
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Build-Depends:
  debhelper (>= 11),
  dh-ocaml,

=== debian/rules ===
--- 
+++ 
@@ -10,11 +10,14 @@
 override_dh_auto_configure:
 
 override_dh_auto_build:
-	dune build @install --verbose
+	dune build @install -p rope --verbose
 
 override_dh_auto_install:
 	mkdir -p '$(OCAMLFIND_DESTDIR)'
 	dune install --destdir=$(DESTDIR) --verbose
 
+override_dh_auto_test:
+	dune build @runtest -p rope --verbose
+
 override_dh_missing:
 	dh_missing --fail-missing

=== debian/tests/control ===
Tests: byte-code, native-code
Depends: ocaml-nox, ocaml-findlib, @

## ocaml-rope 0.6.3

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 doc:
 	dune build @doc
-	sed -e "s/0.6.2/$(PKGVERSION)/" --in-place \
+	sed -e "s/0.6.3/$(PKGVERSION)/" --in-place \
 	  _build/default/_doc/_html/rope/Rope/index.html
 
 # Benchmarks

=== debian/changelog ===
ocaml-rope (0.6.3-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 20:15:07 +0200

ocaml-rope (0.6.3-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 11:11:15 +0100

ocaml-rope (0.6.3-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:23:51 +0200

ocaml-rope (0.6.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release (Closes: #1073901)
  * Update debian/watch
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Wed, 07 Aug 2024 04:37:43 +0200

ocaml-rope (0.6.2-4) unstable; urgency=medium

  * Team upload
  * Use ocaml_dune DH buildsystem (Closes: #1042101)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 05:29:25 +0200

ocaml-rope (0.6.2-3) unstable; urgency=medium

  * Team upload
  * Build-depend on ocaml-dune, clean up old build dependencies
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 28 Sep 2020 07:38:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: ocaml-rope
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Andy Li <andy@onthewings.net>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
- dh-ocaml,
- ocaml-nox,
- dune,
- opam,
+ debhelper-compat (= 13),
+ dh-ocaml (>= 1.2),
+ ocaml,
+ ocaml-dune,
  ocaml-findlib,
- libbenchmark-ocaml-dev,
- oasis
+ libbenchmark-ocaml-dev <!nocheck>
 Homepage: https://chris00.github.io/ocaml-rope/doc/rope/Rope/
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-rope
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-rope.git
